Package weka.gui.scripting.event

# Class ScriptExecutionEvent

java.lang.Object
java.util.EventObject
weka.gui.scripting.event.ScriptExecutionEvent

All Implemented Interfaces:
  `Serializable`

public class ScriptExecutionEvent extends EventObject
Event that gets sent when a script is executed.

Version:
  $Revision: 8034 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ScriptExecutionEvent.Type`
  Defines the type of event.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptExecutionEvent(Script source, ScriptExecutionEvent.Type type)`
  Initializes the event.
  `ScriptExecutionEvent(Script source, ScriptExecutionEvent.Type type, Object additional)`
  Initializes the event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getAdditional()`
  Returns the additional information.
  `Script`
  `getScript()`
  Returns the script that triggered the event.
  `ScriptExecutionEvent.Type`
  `getType()`
  Returns the type of event.
  `boolean`
  `hasAdditional()`
  Returns whether additional information is available.

  ### Methods inherited from class java.util.EventObject

  `getSource, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScriptExecutionEvent

    public ScriptExecutionEvent(Script source, ScriptExecutionEvent.Type type)
    Initializes the event.
    Parameters:
      `source` - the script that triggered the event
      `type` - the type of finish

  - ### ScriptExecutionEvent

    public ScriptExecutionEvent(Script source, ScriptExecutionEvent.Type type, Object additional)
    Initializes the event.
    Parameters:
      `source` - the script that triggered the event
      `type` - the type of finish
      `additional` - additional information, can be null

- ## Method Details

  - ### getScript

    public Script getScript()
    Returns the script that triggered the event.
    Returns:
      the script

  - ### getType

    public ScriptExecutionEvent.Type getType()
    Returns the type of event.
    Returns:
      the type

  - ### hasAdditional

    public boolean hasAdditional()
    Returns whether additional information is available.
    Returns:
      true if additional information is available
    See Also:
      - `getAdditional()`

  - ### getAdditional

    public Object getAdditional()
    Returns the additional information.
    Returns:
      the additional information, can be null